// 页面操作按钮配置
const fucDataJson = [
  {
    name: "导出",
    type: "danger",
    icon: "el-icon-position",
  },
];
// 表头配置
const tableColumnJson = [
  {
    label: "状态",
    prop: "billStateName",
    tooltip: true,
    sortable: true,
    width: 75,
  },
  {
    label: "线索编码",
    prop: "billCode",
    tooltip: true,
    color: "#4C9CFF",
    isClick: true,
  },
  {
    label: "制单日期",
    prop: "createDate",
    tooltip: true,
  },
  {
    label: "客户名称",
    prop: "customerName",
    tooltip: true,
  },
  {
    label: "线索状态",
    prop: "clueState",
    tooltip: true,
  },
  {
    label: "线索主题",
    prop: "clueTheme",
    tooltip: true,
  },
  {
    label: "重要程度",
    prop: "important",
    tooltip: true,
    align: "left",
  },
  {
    label: "联系方式",
    prop: "mobilePhone",
    tooltip: true,
  },
];
const option = [
  {
    label: "字段名称(中文)",
    prop: "columnNameCN",
    tooltip: true,
  },
  {
    label: "字段名称",
    prop: "columnNameEN",
    tooltip: true,
  },
  {
    label: "宽度",
    prop: "showLength",
    tooltip: true,
    width: 80,
  },
  {
    label: "排序",
    prop: "isCanSort",
    tooltip: true,
    width: 65,
  },
  {
    label: "对其方式",
    prop: "align",
    tooltip: true,
  },
  {
    label: "颜色",
    prop: "color",
    tooltip: true,
    width: 60,
  },
  {
    label: "操作",
    prop: "opeare",
    tooltip: true,
    width: 50,
  },
];
export default {
  fucDataJson,
  tableColumnJson,
  option,
};
