// 基本信息form
const topFormRow = [
  {
    elCol: [
      {
        label: "项目编号",
        prop: "billCode",
        tag: "elInput",
        placeholder: "自动生成",
        disabled: true,
      },
      {
        label: "合同号",
        prop: "contractCode",
        tag: "elDialog",
        placeholder: "请选择合同号",
      },
      {
        label: "客户名称",
        prop: "cusName",
        tag: "elDialog",
        tooltip: true,
        placeholder: "请选择客户",
      },
      {
        label: "业务员",
        prop: "salesPersonName",
        tag: "elSelect",
        options: [],
      },
    ],
  },
  {
    elCol: [
      {
        label: "项目名称",
        prop: "projectName",
        tag: "elInput",
        placeholder: "选合同后自动带出可编辑",
      },
      {
        label: "所属部门",
        prop: "orgainName",
        tag: "elDialog",
        placeholder: "请选择部门",
      },
      {
        label: "项目经理",
        prop: "pmPersonName",
        tag: "elSelect",
        options: [],
      },
      {
        label: "项目类型",
        prop: "proClassifyName",
        tag: "elSelect",
        options: [],
      },
    ],
  },
  {
    elCol: [
      {
        label: "所属产品线",
        prop: "productName",
        tag: "elSelect",
        options: [],
      },
      {
        label: "项目状态",
        prop: "proStateName",
        tag: "elSelect",
        options: [],
      },
      {
        label: "承接日期",
        prop: "receiveDate",
        tag: "elDatePicker",
        placeholder: "请点击选择",
      },
      {
        label: "计划完成日期",
        prop: "planEndDate",
        tag: "elDatePicker",
        placeholder: "请点击选择",
      },
    ],
  },
  {
    elCol: [
      {
        label: "SVN地址",
        prop: "svnAddress",
        tag: "elInput",
        span: 24,
        placeholder: "http://",
      },
    ],
  },
  {
    elCol: [
      {
        label: "项目备注",
        prop: "remark",
        tag: "elInput",
        span: 24,
        type: "textarea",
        placeholder: "请输入项目备注",
      },
    ],
  },
];
//项目组成员表头
const projectTeam = [
  {
    label: "项目组成员",
    prop: "personName",
    tooltip: true,
  },
  {
    label: "部门",
    prop: "organName",
    tooltip: true,
  },
  {
    label: "联系电话",
    prop: "moiblePhone",
    tooltip: true,
  },
  {
    label: "进入时间",
    prop: "enterDate",
    tooltip: true,
  },
  {
    label: "负责模块",
    prop: "responsibleModule",
    tooltip: true,
  },
];
//附件表头
const attachmentColumn = [
  {
    label: "文件名",
    prop: "sa_ShowName",
    tooltip: true,
  },
  {
    label: "上传人",
    prop: "personName",
    tooltip: true,
    width: "160",
  },
  {
    label: "上传时间",
    prop: "sa_UploadDateTime",
    tooltip: true,
    width: "160",
  },
  {
    label: "文件大小(kb)",
    prop: "sa_AttachmentSize",
    tooltip: true,
    width: "160",
  },
];
// 合同阶段表头
const contractStageColumn = [
  {
    //
    label: "阶段名称",
    prop: "phaseName",
    tooltip: true,
  },
  {
    label: "阶段执行内容",
    prop: "phaseContent",
    tooltip: true,
  },
  // {//下拉
  // 	label: '合同号',
  // 	prop: 'detail_person',
  // 	tooltip: true,
  // },
  {
    label: "功能模块",
    prop: "projectModule",
    tooltip: true,
  },
  {
    label: "模块内容",
    prop: "projectModuleContent",
    tooltip: true,
  },
  {
    label: "计划开始日期",
    prop: "planStartDate",
    tooltip: true,
  },
  {
    label: "计划完成日期",
    prop: "planEndDate",
    tooltip: true,
  },
  {
    label: "实际开始日期",
    prop: "realityStartDate",
    tooltip: true,
  },
  {
    label: "实际完成日期",
    prop: "realityEndDate",
    tooltip: true,
  },
  {
    label: "预警天数",
    prop: "warningDays",
    tooltip: true,
    width: "80",
  },
  {
    label: "阶段状态",
    prop: "stateName",
    tooltip: true,
    width: "80",
  },
  {
    label: "完成反馈内容",
    prop: "realityContent",
    tooltip: true,
  },
  {
    label: "备注",
    prop: "remark",
    tooltip: true,
  },
  {
    //下拉
    label: "责任工程师",
    prop: "affiliatedPersons",
    tooltip: true,
  },
];

export default {
  topFormRow,
  attachmentColumn,
  contractStageColumn,
  projectTeam,
};
