
// 项目表头配置
const tableColumn = [
	{
		label: '接口名称',
		prop: 'actionName',
		tooltip: true,
		width:'100'
	},
	{
		label: '请求地址',
		prop: 'requestUri',
		tooltip: true
	},
	{
		label: '调用者ip',
		prop: 'userHostAddress',
		tooltip: true,
		width:'150'
	},
	{
		label: '调用者账号',
		prop: 'requestUser',
		tooltip: true
	},
	{
		label: '入参',
		prop: 'paramaters',
		tooltip: true
	},
	{
		label: 'token',
		prop: 'token',
		tooltip: true
	},
	{
		label: '控制器名称',
		prop: 'ApiActionLog',
		tooltip: true,
		width:'150'
	},
	{
		label: '接口进入时间',
		prop: 'enterTime',
		tooltip: true,
		width:'120'
	},
	{
		label: '接口返回时间',
		prop: 'createTime',
		tooltip: true,
		width:'120'
	},
	{
		label: '操作',
		prop: 'comments',
		tooltip: true,
		other: {
			color: '#4C9CFF',
			isClick: true
		}
	}
]

const formRow = [{
		elCol: [{
				label: '类型',
				span:12,
				prop: 'Ddd_DicKindID',
				tag: 'elSelect',
				options:[]

			},
			{
				label: '名称',
				span:12,
				prop: 'Ddd_DicDetailsName',
				tag: 'elInput',
			}
		]
	},
	{
		elCol: [{
				label: '顺序',
				span:12,
				prop: 'Ddd_DicDetailsSort',
				tag: 'elInput',
			},
			{
				label: '编码',
				span:12,
				prop: 'Ddd_DicDetailsCode',
				tag: 'elInput',
			},
		]
	},
	{
		elCol: [
			{
				label: '备注',
				prop: 'Ddd_DicDetailsRemark',
				span:24,
				tag:'elInput',
				type:'textarea'
			}
		]
	},

]

export default {
	tableColumn,
	formRow,
}
