// 新增编辑页面结构JSON
const dataFormRow = [
  {
    elCol: [
      {
        label: "服务器地址",
        prop: "serviceAddress",
        tag: "elInput",
      },
      {
        label: "用户名",
        prop: "user",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "密码",
        prop: "pwd",
        tag: "elInput",
      },
      {
        label: "数据库名称",
        prop: "database",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "测试结果",
        prop: "message",
        placeholder: "点击测试等待结果......",
        tag: "elInput",
        span: 24,
      },
    ],
  },
];
// 新增编辑页面结构JSON
const serverFormRow = [
  {
    elCol: [
      {
        label: "U8服务地址",
        prop: "U8Service",
        tag: "elInput",
      },
      {
        label: "默认账套",
        prop: "accId",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "U8用户",
        prop: "U8Code",
        tag: "elInput",
      },
      {
        label: "密码",
        prop: "U8Pwd",
        tag: "elInput",
      },
    ],
  },
];

const messageFormRow = [
  {
    elCol: [
      {
        label: "系统消息",
        prop: "systemMess",
        tag: "elSwitch",
      },
      {
        label: "钉钉",
        prop: "dingDing",
        tag: "elSwitch",
      },
      {
        label: "企业微信",
        prop: "companyWeChat",
        tag: "elSwitch",
      },
      {
        label: "短信",
        prop: "note",
        tag: "elSwitch",
      },
    ],
  },
  {
    elCol: [
      {
        label: "邮箱",
        prop: "email",
        tag: "elSwitch",

        span: 6,
      },
      {
        label: "",
        prop: "smtpServer",
        tag: "elInput",
        span: 18,
        show: false,
      },
    ],
  },
  {
    elCol: [
      {
        label: "发件账户",
        prop: "sendUser",
        tag: "elInput",
        span: 12,
      },
      {
        label: "发件密码",
        prop: "sendPwd",
        tag: "elInput",
        span: 12,
      },
    ],
  },
];
const onlineFormRow = [
  {
    elCol: [
      {
        label: "PC",
        prop: "isPc",
        tag: "elSwitch",
      },
      {
        label: "移动端",
        prop: "isMobile",
        tag: "elSwitch",
      },
    ],
  },
];
const tokenFormRow = [
  {
    elCol: [
      {
        label: "有效性",
        prop: "tokenOutTime",
        tag: "elInput",
      },
      {
        label: "无感刷新",
        prop: "tokenRefreshTime",
        tag: "elInput",
      },
    ],
  },
  {
    elCol: [
      {
        label: "文件管理",
        prop: "fileUrl",
        tag: "elInput",
        span: 24,
      },
    ],
  },
];
tokenFormRow;
export default {
  dataFormRow,
  serverFormRow,
  messageFormRow,
  onlineFormRow,
  tokenFormRow,
};
