
// 详情页面结构JSON
const formRow = [
  {
    elCol: [
      {
        label: '菜单图标',
        prop: 'menuIcon',
				tag: 'elSlot',
				slotName:"menuIcon"
      },
    ]
  },
  {
    elCol: [{
      label: '父节点',
      prop: 'parentMenuName',
      tag: 'elDialog',
      span: 24,
    },
      // {
      //   label: '菜单顺序',
      //   prop: 'mc_Sort',
      //   tag: 'elInput',
      //   rules:true
      //   // type:'number'
      // },
    ]
  },
  {
    elCol: [{
      label: '菜单名称',
      prop: 'menuName',
      tag: 'elInput',
    },
    {
      label: '菜单英文名称',
      prop: 'menuEnglishName',
      tag: 'elInput',
    },
    ]
  },
  {
    elCol: [{
      label: '菜单路径',
      prop: 'route',
      tag: 'elInput',
    },{
      label: '页面路径',
      prop: 'menuPage',
      tag: 'elInput',
    },
    ]
  },
  {
    elCol: [
      {
        label: '打开方式',
        prop: 'showType',
        tag: 'elRadio',
        options: [{
          label: '菜单',
          value: "1"
        }, {
          label: '弹窗',
          value: "2"
        }
        ]
      },
      {
        label: '显示',
        prop: 'visibles',
        tag: 'elRadio',
        options: [{
          label: '是',
          value: "0"
        }, {
          label: '否',
          value: "1",
        }
        ]
      },
    ]
  },
  // {
  // 	elCol: [{
  // 			label: '功能权限',
  // 			prop: 'birthday',
  // 			tag: 'elRadio',
  // 			options: [{
  // 					label: '是',
  // 					value: '1'
  // 				},{
  // 					label: '否',
  // 					value: '2'
  // 				}
  // 			]
  // 		},
  // 		{
  // 			label: '操作权限',
  // 			prop: 'telphone',
  // 			tag: 'elRadio',
  // 			options: [{
  // 					label: '是',
  // 					value: '1'
  // 				},{
  // 					label: '否',
  // 					value: '2'
  // 				}
  // 			]
  // 		},
  // 	]
  // },
]
const roleOptions = [{
  label: '超级管理员',
  value: 1
},
{
  label: '业务员',
  value: 2
},
{
  label: '管理员',
  value: 3
},
{
  label: '开发成员',
  value: 4
},
{
  label: '项目经理',
  value: 5
},
{
  label: '实施人员',
  value: 6
},
{
  label: '财务',
  value: 7
},
{
  label: '总经理',
  value: 8
},
{
  label: '副总',
  value: 9
}
]
const rules = {
  villageId: [{
    required: true,
    message: '请选择村/社区名称',
    trigger: 'change'
  }],
  registerTime: [{
    required: true,
    message: '请选择登记时间',
    trigger: 'change'
  }],
};
// 详情显示图片配置
const showImgJson = {
  span: 24,
  text: '现场照片',
  field: 'photoUrls',

};
export default {
  showImgJson,
  formRow,
  rules
}
